package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.fake;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.HashMap;

/**
 * User: xy6er
 */

public class RetargetingConditionFakeInfo {

    @JsonProperty("ClientID")
    private int clientID;

    @JsonProperty("ClientUIDs")
    private Integer[] clientUIDs;

    @JsonProperty("GoalsUnchanged")
    private HashMap<Integer, Integer> goalsUnchanged;

    @JsonProperty("GoalsBecameInaccessible")
    private Integer[] goalsBecameInaccessible;

    @JsonProperty("GoalsBecameAccessible")
    private Integer[] goalsBecameAccessible;

    public int getClientID() {
        return clientID;
    }

    public void setClientID(int clientID) {
        this.clientID = clientID;
    }

    public Integer[] getClientUIDs() {
        return clientUIDs;
    }

    public void setClientUIDs(Integer[] clientUIDs) {
        this.clientUIDs = clientUIDs;
    }

    public HashMap<Integer, Integer> getGoalsUnchanged() {
        return goalsUnchanged;
    }

    public void setGoalsUnchanged(HashMap<Integer, Integer> goalsUnchanged) {
        this.goalsUnchanged = goalsUnchanged;
    }

    public Integer[] getGoalsBecameInaccessible() {
        return goalsBecameInaccessible;
    }

    public void setGoalsBecameInaccessible(Integer[] goalsBecameInaccessible) {
        this.goalsBecameInaccessible = goalsBecameInaccessible;
    }

    public Integer[] getGoalsBecameAccessible() {
        return goalsBecameAccessible;
    }

    public void setGoalsBecameAccessible(Integer[] goalsBecameAccessible) {
        this.goalsBecameAccessible = goalsBecameAccessible;
    }

}
